Subject: RE: bug#7495: 24.0.50; ps-nb-pages-region: Wrong type arg number - nil

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Dec 2010 06:58:07 -0800

> > emacs -Q
> > C-x b *scratch*
> >
> > Select the first two lines.
> >
> > M-x ps-nb-pages-region
> >
> > raises wrong-type-arg error.
> 
> I can't reproduce this.

It is fixed in the latest Windows binary I have:

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-12-13 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags
-Ic:/imagesupport/include'

It is reproducible in the version I mentioned in the bug report:

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-11-22 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags
-Ic:/imagesupport/include'

It is also reproducible in Emacs 23.2 (emacs -Q always).